Bug 519761 - segfault in kscopeapp
Summary: segfault in kscopeapp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kscope
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 17:54 UTC by James M. Leddy
Modified: 2014-08-11 05:42 UTC (History)
2 users (show)

Fixed In Version: 1.9.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 05:25:18 UTC


Attachments (Terms of Use)

Description James M. Leddy 2009-08-27 17:54:33 UTC
Description of problem:


It should be noted I'm not using KDE and I don't believe I have it installed.  Should I have to?

[james@zeik src]$ gdb kscopeapp 
GNU gdb (GDB) Fedora (6.8.50.20090302-27.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Missing separate debuginfos, use: debuginfo-install kscope-1.9.4-1.fc11.x86_64
(gdb) run
Starting program: /usr/bin/kscopeapp 
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x00000031f89886a9 in QFont::operator=(QFont const&) ()
   from /usr/lib64/libQtGui.so.4
(gdb) bt
#0  0x00000031f89886a9 in QFont::operator=(QFont const&) ()
   from /usr/lib64/libQtGui.so.4
#1  0x00007ffff761a061 in QsciLexer::styleData(int) const ()
   from /usr/lib64/libqscintilla2.so.5
#2  0x00007ffff761a2b3 in QsciLexer::setFont(QFont const&, int) ()
   from /usr/lib64/libqscintilla2.so.5
#3  0x00007ffff7973cb9 in KScope::Editor::LexerStyleModel::updateLexerStyle(KScope::Core::TreeItem<KScope::Editor::LexerStyleModel::NodeData*> const*) const
    () from /usr/lib64/libkscope_editor.so.1
#4  0x00007ffff7977700 in KScope::Editor::Config::load(QSettings&) ()
   from /usr/lib64/libkscope_editor.so.1
#5  0x0000000000425c02 in ?? ()
#6  0x000000000041a178 in ?? ()
#7  0x0000000000420711 in ?? ()
#8  0x000000000041966f in ?? ()
#9  0x000000319d81ea2d in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fffffffe2d8)
    at libc-start.c:220
#10 0x0000000000410379 in QTreeView::scrollTo(QModelIndex const&, QAbstractItemView::ScrollHint) ()
#11 0x00007fffffffe2d8 in ?? ()
#12 0x000000000000001c in ?? ()
#13 0x0000000000000001 in ?? ()
#14 0x00007fffffffe5bf in ?? ()
#15 0x0000000000000000 in ?? ()
(gdb)

Comment 1 James M. Leddy 2009-09-01 14:53:30 UTC
Somehow I didn't have QT installed earlier, probably another dependency bug.  Anyway here's the new backtrace:

(gdb) bt
#0  0x00007ffff7558769 in QFont::operator=(QFont const&) ()
   from /usr/lib64/libQtGui.so.4
#1  0x0000003d78a65061 in QsciLexer::styleData (this=0x8b2480, style=0)
    at qscilexer.cpp:138
#2  0x0000003d78a652b3 in QsciLexer::setFont (this=0x8b2480, 
    f=@0x7fffffffdbf0, style=<value optimized out>) at qscilexer.cpp:659
#3  0x0000003d7921dcb9 in KScope::Editor::LexerStyleModel::updateLexerStyle (
    this=0x8b16a0, node=0x8b0e30) at lexerstylemodel.cpp:528
#4  0x0000003d79221700 in KScope::Editor::Config::load (this=0x8a11d8, 
    settings=@0x89bda0) at config.cpp:184
#5  0x0000000000425c02 in KScope::App::EditorContainer::EditorContainer(struct QMainWindow *) (this=0x8a1180, parent=0x7fffffffe120) at editorcontainer.cpp:48
#6  0x000000000041a178 in KScope::App::MainWindow::MainWindow (this=
    0x7fffffffe120) at mainwindow.cpp:58
#7  0x0000000000420711 in KScope::App::Application::run (this=0x7fffffffe1e0)
    at application.cpp:67
#8  0x000000000041966f in main (argc=1, argv=<value optimized out>)
    at main.cpp:26

Comment 2 Tom "spot" Callaway 2009-09-22 17:03:59 UTC
So, I have no idea why this is happening, but rebuilding kscope for F-11 (with no code changes) fixes this issue, so I can only assume that something changed in the dependencies (qt, I am looking at you) which caused a minor API break that lead to this segfault.

A rebuild is going for F-11 now, as soon as it is done, I'll push it as an update.

Comment 3 Fedora Update System 2009-09-22 18:09:51 UTC
kscope-1.9.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kscope-1.9.4-2.fc11

Comment 4 Fedora Update System 2009-09-24 05:25:13 UTC
kscope-1.9.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.